#!HEAD: dcsm-EF_MSA_HV_ON_1_VFB 2020-09-04 01:36:11 989        45 MMO                  DCSM                // EARTH FLY BY                         
8001    ########################################################
8002    #  SAFETY ON HV check (fast) 1
8003    ########################################################
8004    #
8005    # HV_sw_enable(both)
8006    MSA.HV_ENA 0x0F000000
8007    # command : 07000F000000
8008    #
8009    #WAIT_SEC 10                   
8010    #
8011    # QL         Check-Item               Spec                     check
8012    # ----------+------------------------+-------------------------+------
8013    #             <CPU> ENA_BOARD         ENA                        N/A
8014    #             <CPU> SAFE_ENA          ENA                        N/A
8015    #
8016    # HV_Board_PwrON
8017    MSA.HV_ON 0x0A000000
8018    # command : 05000A000000
8019    #
8020    #WAIT_SEC 10                   
8021    #
8022    # QL         Check-Item               Spec                     check
8023    # ----------+------------------------+-------------------------+------
8024    # MSA ALL HK  <HV> ON_BOARD          ON                          N/A
8025    #             <HV> ERR               OK                          N/A
8026    #
8027    #WAIT_SEC 10                   
8028    #
8029    # HV_Optics_PwrON
8030    MSA.HV_ON 0x05000000
8031    # command : 050005000000
8032    #
8033    #WAIT_SEC 10                   
8034    #
8035    # QL         Check-Item               Spec                     check
8036    # ----------+------------------------+-------------------------+------
8037    # MSA ALL HK  <HV> ON_OPTICS         ON                          N/A
8038    #             <HV> ERR               OK                          N/A
8039    #
8040    #
8041    ################################################################
8042    #         SAFETY OFF
8043    #######################################################################
8044    #
8045    # SAFE_ENA
8046    MSA.HV_SAFE_ENA 0x00000000
8047    # command : 010000000000    : 
8048    #
8049    #WAIT_SEC 10                   
8050    #
8051    # QL         Check-Item               Spec                     check
8052    # ----------+------------------------+-------------------------+------
8053    # MSA ALL HK  <CPU> SAFE_ENA          ENA                          N/A
8054    #
8055    # SAFE_OFF
8056    MSA.HV_SAFE_OFF 0x0a000000
8057    # command : 04000a000000    : 
8058    #
8059    #WAIT_SEC 10                   
8060    #
8061    # QL         Check-Item               Spec                     check
8062    # ----------+------------------------+-------------------------+------
8063    # MSA ALL HK  <HV> SAFE               OFF                          N/A
8064    #
8065    # SAFE_DIS
8066    MSA.HV_SAFE_DIS 0x00000000
8067    # command : 020000000000    : 
8068    #
8069    #WAIT_SEC 10                   
8070    #
8071    # QL         Check-Item               Spec                     check
8072    # ----------+------------------------+-------------------------+------
8073    # MSA ALL HK  <CPU> SAFE_ENA          DIS                          N/A
8074    #
8075    #
8076    # 
8077    ###################################################################
8078    # Set HV1 (first a few LSBs, then several LSBs ; then stay at nominal HV1 value)
8079    #######################################################################
8080    # 
8081    # 
8082    #
8083    # #AMP3
8084    #
8085    MSA.HV_DAC 0x40400001
8086    # : Uout        : HKvoltage
8087    # command : 0b0040400001    : 
8088    #
8089    #WAIT_SEC 10                   
8090    #
8091    # QL         Check-Item               Spec                     check
8092    # ----------+------------------------+-------------------------+------
8093    # MSA ALL HK  ADC_HV_AMP3   ( ---)                       N/A
8094    #
8095    MSA.HV_DAC 0x40400020
8096    # : Uout        : HKvoltage
8097    # command : 0b0040400020    : 
8098    #
8099    #WAIT_SEC 10                   
8100    #
8101    # QL         Check-Item               Spec                     check
8102    # ----------+------------------------+-------------------------+------
8103    # MSA ALL HK  ADC_HV_AMP3   ( ---)                       N/A
8104    #
8105    MSA.HV_DAC 0x40400038
8106    # : Uout        : HKvoltage
8107    # command : 0b0040400038    : 50V
8108    #
8109    #WAIT_SEC 10                   
8110    #
8111    # QL         Check-Item               Spec                     check
8112    # ----------+------------------------+-------------------------+------
8113    # MSA ALL HK  ADC_HV_AMP3   ( 0x36F)                       N/A
8114    #
8115    #WAIT_SEC 10                   
8116    #
8117    #
8118    # #HV1
8119    #
8120    MSA.HV_DAC 0x60600001
8121    # : Uout        : HKvoltage
8122    # command : 0b0060600001    : 
8123    #
8124    #WAIT_SEC 10                   
8125    #
8126    # QL         Check-Item               Spec                     check
8127    # ----------+------------------------+-------------------------+------
8128    # MSA ALL HK  ADC_HV_HV1    ( ---)                       N/A
8129    #
8130    #
8131    MSA.HV_DAC 0x60600008
8132    # : Uout        : HKvoltage
8133    # command : 0b0060600008    : 
8134    #
8135    #WAIT_SEC 10                   
8136    #
8137    # QL         Check-Item               Spec                     check
8138    # ----------+------------------------+-------------------------+------
8139    # MSA ALL HK  ADC_HV_HV1    ( ---)                       N/A
8140    #
8141    #
8142    MSA.HV_DAC 0x60600010
8143    # : Uout        : HKvoltage
8144    # command : 0b0060600010    : 
8145    #
8146    #WAIT_SEC 10                   
8147    #
8148    # QL         Check-Item               Spec                     check
8149    # ----------+------------------------+-------------------------+------
8150    # MSA ALL HK  ADC_HV_HV1    ( ---)                       N/A
8151    #
8152    MSA.HV_DAC 0x60600020
8153    # : Uout        : HKvoltage
8154    # command : 0b0060600020    : 
8155    #
8156    #WAIT_SEC 40                   
8157    #
8158    # QL         Check-Item               Spec                     check
8159    # ----------+------------------------+-------------------------+------
8160    # MSA ALL HK  ADC_HV_HV1    ( ---)                       N/A
8161    #
8162    #
8163    MSA.HV_DAC 0x60600040
8164    # : Uout        : HKvoltage
8165    # command : 0b0060600040    : 
8166    #
8167    #WAIT_SEC 40                   
8168    #
8169    # QL         Check-Item               Spec                     check
8170    # ----------+------------------------+-------------------------+------
8171    # MSA ALL HK  ADC_HV_HV1    ( ---)                       N/A
8172    #
8173    #
8174    MSA.HV_DAC 0x60600060
8175    # : Uout        : HKvoltage
8176    # command : 0b0060600060    : 
8177    #
8178    #WAIT_SEC 40                   
8179    #
8180    # QL         Check-Item               Spec                     check
8181    # ----------+------------------------+-------------------------+------
8182    # MSA ALL HK  ADC_HV_HV1    ( ---)                       N/A
8183    #
8184    #
8185    MSA.HV_DAC 0x60600080
8186    # : Uout        : HKvoltage
8187    # command : 0b0060600080    : 1200V
8188    #
8189    #WAIT_SEC 40                   
8190    #
8191    # QL         Check-Item               Spec                     check
8192    # ----------+------------------------+-------------------------+------
8193    # MSA ALL HK  ADC_HV_HV1    ( 0x78A)                       N/A
8194    #
8195    #
8196    MSA.HV_DAC 0x60600088
8197    # : Uout        : HKvoltage
8198    # command : 0b0060600088    : 
8199    #
8200    #WAIT_SEC 40                   
8201    #
8202    # QL         Check-Item               Spec                     check
8203    # ----------+------------------------+-------------------------+------
8204    # MSA ALL HK  ADC_HV_HV1    ( ---)                       N/A
8205    #
8206    MSA.HV_DAC 0x6060008c
8207    # : Uout        : HKvoltage
8208    # command : 0b006060008c    : 
8209    #
8210    #WAIT_SEC 40                   
8211    #
8212    # QL         Check-Item               Spec                     check
8213    # ----------+------------------------+-------------------------+------
8214    # MSA ALL HK  ADC_HV_HV1    ( ---)                       N/A
8215    #
8216    MSA.HV_DAC 0x60600090
8217    # : Uout        : HKvoltage
8218    # command : 0b0060600090    : 
8219    #
8220    #WAIT_SEC 40                   
8221    #
8222    # QL         Check-Item               Spec                     check
8223    # ----------+------------------------+-------------------------+------
8224    # MSA ALL HK  ADC_HV_HV1    ( ---)                       N/A
8225    #
8226    #
8227    MSA.HV_DAC 0x60600094
8228    # : Uout        : HKvoltage
8229    # command : 0b0060600094    : 
8230    #
8231    #WAIT_SEC 40                   
8232    #
8233    # QL         Check-Item               Spec                     check
8234    # ----------+------------------------+-------------------------+------
8235    # MSA ALL HK  ADC_HV_HV1    ( ---)                       N/A
8236    #
8237    #
8238    MSA.HV_DAC 0x60600098
8239    # : Uout        : HKvoltage
8240    # command : 0b0060600098    : 
8241    #
8242    #WAIT_SEC 40                   
8243    #
8244    # QL         Check-Item               Spec                     check
8245    # ----------+------------------------+-------------------------+------
8246    # MSA ALL HK  ADC_HV_HV1    ( ---)                       N/A
8247    #
8248    #
8249    MSA.HV_DAC 0x6060009c
8250    # : Uout        : HKvoltage
8251    # command : 0b006060009c    : 
8252    #
8253    #WAIT_SEC 40                   
8254    #
8255    # QL         Check-Item               Spec                     check
8256    # ----------+------------------------+-------------------------+------
8257    # MSA ALL HK  ADC_HV_HV1    ( ---)                       N/A
8258    #
8259    #
8260    MSA.HV_DAC 0x606000a0
8261    # : Uout        : HKvoltage
8262    # command : 0b00606000a0    : 1550V
8263    #
8264    #WAIT_SEC 40                   
8265    #
8266    # QL         Check-Item               Spec                     check
8267    # ----------+------------------------+-------------------------+------
8268    # MSA ALL HK  ADC_HV_HV1    ( ---)                       N/A
8269    #
8270    #
8271    # ==========================================================================
8272    #######################################################################
8273    # Set HV2 (first a few LSBs, then several LSBs ; then stay at nominal HV2 value)
8274    #######################################################################
8275    # 
8276    # #HV2
8277    #
8278    MSA.HV_DAC 0xA0A00001
8279    # : Uout        : HKvoltage
8280    # command : 0b00a0a00001    : 
8281    #
8282    #WAIT_SEC 10                   
8283    #
8284    # QL         Check-Item               Spec                     check
8285    # ----------+------------------------+-------------------------+------
8286    # MSA ALL HK  ADC_HV_HV2    ( ---)                       N/A
8287    #
8288    #
8289    MSA.HV_DAC 0xA0A00002
8290    # : Uout        : HKvoltage
8291    # command : 0b00a0a00002    : 
8292    #
8293    #WAIT_SEC 10                   
8294    #
8295    # QL         Check-Item               Spec                     check
8296    # ----------+------------------------+-------------------------+------
8297    # MSA ALL HK  ADC_HV_HV2    ( ---)                       N/A
8298    #
8299    MSA.HV_DAC 0xA0A00008
8300    # : Uout        : HKvoltage
8301    # command : 0b00a0a00008    : 
8302    #
8303    #WAIT_SEC 10                   
8304    #
8305    # QL         Check-Item               Spec                     check
8306    # ----------+------------------------+-------------------------+------
8307    # MSA ALL HK  ADC_HV_HV2    ( ---)                       N/A
8308    #
8309    MSA.HV_DAC 0xA0A00010
8310    # : Uout        : HKvoltage
8311    # command : 0b00a0a00010    : 
8312    #
8313    #WAIT_SEC 10                   
8314    #
8315    # QL         Check-Item               Spec                     check
8316    # ----------+------------------------+-------------------------+------
8317    # MSA ALL HK  ADC_HV_HV2    ( ---)                       N/A
8318    #
8319    #
8320    MSA.HV_DAC 0xA0A00020
8321    # : Uout        : HKvoltage
8322    # command : 0b00a0a00020    : 
8323    #
8324    #WAIT_SEC 40                   
8325    #
8326    # QL         Check-Item               Spec                     check
8327    # ----------+------------------------+-------------------------+------
8328    # MSA ALL HK  ADC_HV_HV2    ( ---)                       N/A
8329    #
8330    #
8331    MSA.HV_DAC 0xA0A00040
8332    # : Uout        : HKvoltage
8333    # command : 0b00a0a00040    : 
8334    #
8335    #WAIT_SEC 40                   
8336    #
8337    # QL         Check-Item               Spec                     check
8338    # ----------+------------------------+-------------------------+------
8339    # MSA ALL HK  ADC_HV_HV2    ( ---)                       N/A
8340    #
8341    MSA.HV_DAC 0xA0A00060
8342    # : Uout        : HKvoltage
8343    # command : 0b00a0a00060    : 
8344    #
8345    #WAIT_SEC 40                   
8346    #
8347    # QL         Check-Item               Spec                     check
8348    # ----------+------------------------+-------------------------+------
8349    # MSA ALL HK  ADC_HV_HV2    ( ---)                       N/A
8350    #
8351    MSA.HV_DAC 0xA0A00080
8352    # : Uout        : HKvoltage
8353    # command : 0b00a0a00080    : 
8354    #
8355    #WAIT_SEC 40                   
8356    #
8357    # QL         Check-Item               Spec                     check
8358    # ----------+------------------------+-------------------------+------
8359    # MSA ALL HK  ADC_HV_HV2    ( ---)                       N/A
8360    #
8361    #
8362    MSA.HV_DAC 0xA0A00084
8363    # : Uout        : HKvoltage
8364    # command : 0b00a0a00084    : 
8365    #
8366    #WAIT_SEC 40                   
8367    #
8368    # QL         Check-Item               Spec                     check
8369    # ----------+------------------------+-------------------------+------
8370    # MSA ALL HK  ADC_HV_HV2    ( ---)                       N/A
8371    #
8372    MSA.HV_DAC 0xA0A00088
8373    # : Uout        : HKvoltage
8374    # command : 0b00a0a00088    : 
8375    #
8376    #WAIT_SEC 40                   
8377    #
8378    # QL         Check-Item               Spec                     check
8379    # ----------+------------------------+-------------------------+------
8380    # MSA ALL HK  ADC_HV_HV2    ( ---)                       N/A
8381    #
8382    MSA.HV_DAC 0xA0A0008c
8383    # : Uout        : HKvoltage
8384    # command : 0b00a0a0008c    : 
8385    #
8386    #WAIT_SEC 40                   
8387    #
8388    # QL         Check-Item               Spec                     check
8389    # ----------+------------------------+-------------------------+------
8390    # MSA ALL HK  ADC_HV_HV2    ( ---)                       N/A
8391    #
8392    MSA.HV_DAC 0xA0A00090
8393    # : Uout        : HKvoltage
8394    # command : 0b00a0a00090    : 
8395    #
8396    #WAIT_SEC 40                   
8397    #
8398    # QL         Check-Item               Spec                     check
8399    # ----------+------------------------+-------------------------+------
8400    # MSA ALL HK  ADC_HV_HV2    ( ---)                       N/A
8401    #
8402    MSA.HV_DAC 0xA0A00094
8403    # : Uout        : HKvoltage
8404    # command : 0b00a0a00094    : 
8405    #
8406    #WAIT_SEC 40                   
8407    #
8408    # QL         Check-Item               Spec                     check
8409    # ----------+------------------------+-------------------------+------
8410    # MSA ALL HK  ADC_HV_HV2    ( ---)                       N/A
8411    #
8412    MSA.HV_DAC 0xA0A00098
8413    # : Uout        : HKvoltage
8414    # command : 0b00a0a00098    : 
8415    #
8416    #WAIT_SEC 40                   
8417    #
8418    # QL         Check-Item               Spec                     check
8419    # ----------+------------------------+-------------------------+------
8420    # MSA ALL HK  ADC_HV_HV2    ( ---)                       N/A
8421    #
8422    MSA.HV_DAC 0xA0A0009c
8423    # : Uout        : HKvoltage
8424    # command : 0b00a0a0009c    : 
8425    #
8426    #WAIT_SEC 40                   
8427    #
8428    # QL         Check-Item               Spec                     check
8429    # ----------+------------------------+-------------------------+------
8430    # MSA ALL HK  ADC_HV_HV2    ( ---)                       N/A
8431    #
8432    #
8433    #######################################################################
8434    # Set VHV1 and VHV2 (both VHVs are raised simultaneously up to 3 kV, 
8435    # first a few LSBs, then several LSBs, then stay at 3 kV and check mission 
8436    #######################################################################
8437    #
8438    #
8439    # #VHV4
8440    #
8441    MSA.HV_DAC 0x80800001
8442    # : Uout        : HKvoltage
8443    # command : 0b0080800001    : 
8444    #
8445    #WAIT_SEC 30                   
8446    #
8447    # QL         Check-Item               Spec                     check
8448    # ----------+------------------------+-------------------------+------
8449    # MSA ALL HK  ADC_HV_VHV4 ( ---)                          N/A
8450    #
8451    # #VHV1 & VHV2
8452    #
8453    MSA.HV_DAC 0xC0C00001
8454    #WAIT_SEC 2                   
8455    MSA.HV_DAC 0xE0E00001
8456    # : Uout        : HKvoltage
8457    # command : 0b00c0c00001    : 
8458    # command : 0b00e0e00001    :
8459    #
8460    #WAIT_SEC 10                   
8461    #
8462    # QL         Check-Item               Spec                     check
8463    # ----------+------------------------+-------------------------+------
8464    # MSA ALL HK  ADC_HV_VHV1   ( ---)                       N/A
8465    # MSA ALL HK  ADC_HV_VHV2   ( ---)                       N/A
8466    #
8467    MSA.HV_DAC 0xC0C00004
8468    #WAIT_SEC 2                   
8469    MSA.HV_DAC 0xE0E00004
8470    # : Uout        : HKvoltage
8471    # command : 0b00c0c00004    : 
8472    # command : 0b00e0e00004    :
8473    #
8474    #WAIT_SEC 10                   
8475    #
8476    # QL         Check-Item               Spec                     check
8477    # ----------+------------------------+-------------------------+------
8478    # MSA ALL HK  ADC_HV_VHV1   ( ---)                       N/A
8479    # MSA ALL HK  ADC_HV_VHV2   ( ---)                       N/A
8480    #
8481    MSA.HV_DAC 0xC0C00008
8482    #WAIT_SEC 2                   
8483    MSA.HV_DAC 0xE0E00008
8484    # : Uout        : HKvoltage
8485    # command : 0b00c0c00008    : 
8486    # command : 0b00e0e00008    :
8487    #
8488    #WAIT_SEC 10                   
8489    #
8490    # QL         Check-Item               Spec                     check
8491    # ----------+------------------------+-------------------------+------
8492    # MSA ALL HK  ADC_HV_VHV1   ( ---)                       N/A
8493    # MSA ALL HK  ADC_HV_VHV2   ( ---)                       N/A
8494    #
8495    MSA.HV_DAC 0xC0C0000c
8496    #WAIT_SEC 2                   
8497    MSA.HV_DAC 0xE0E0000c
8498    # : Uout        : HKvoltage
8499    # command : 0b00c0c0000c    : 
8500    # command : 0b00e0e0000c    :
8501    #
8502    #WAIT_SEC 10                   
8503    #
8504    # QL         Check-Item               Spec                     check
8505    # ----------+------------------------+-------------------------+------
8506    # MSA ALL HK  ADC_HV_VHV1   ( ---)                       N/A
8507    # MSA ALL HK  ADC_HV_VHV2   ( ---)                       N/A
8508    #
8509    MSA.HV_DAC 0xC0C00010
8510    #WAIT_SEC 2                   
8511    MSA.HV_DAC 0xE0E00010
8512    # : Uout        : HKvoltage
8513    # command : 0b00c0c00010    : 
8514    # command : 0b00e0e00010    :
8515    #
8516    #WAIT_SEC 10                   
8517    #
8518    # QL         Check-Item               Spec                     check
8519    # ----------+------------------------+-------------------------+------
8520    # MSA ALL HK  ADC_HV_VHV1   ( ---)                       N/A
8521    # MSA ALL HK  ADC_HV_VHV2   ( ---)                       N/A
8522    #
8523    #
8524    MSA.HV_DAC 0xC0C00014
8525    #WAIT_SEC 2                   
8526    MSA.HV_DAC 0xE0E00014
8527    # : Uout        : HKvoltage
8528    # command : 0b00c0c00014    : 
8529    # command : 0b00e0e00014    :
8530    #
8531    #WAIT_SEC 10                   
8532    #
8533    # QL         Check-Item               Spec                     check
8534    # ----------+------------------------+-------------------------+------
8535    # MSA ALL HK  ADC_HV_VHV1   ( ---)                       N/A
8536    # MSA ALL HK  ADC_HV_VHV2   ( ---)                       N/A
8537    #
8538    MSA.HV_DAC 0xC0C00018
8539    #WAIT_SEC 2                   
8540    MSA.HV_DAC 0xE0E00018
8541    # : Uout        : HKvoltage
8542    # command : 0b00c0c00018    : 
8543    # command : 0b00e0e00018    :
8544    #
8545    #WAIT_SEC 10                   
8546    #
8547    # QL         Check-Item               Spec                     check
8548    # ----------+------------------------+-------------------------+------
8549    # MSA ALL HK  ADC_HV_VHV1   ( ---)                       N/A
8550    # MSA ALL HK  ADC_HV_VHV2   ( ---)                       N/A
8551    #
8552    MSA.HV_DAC 0xC0C0001c
8553    #WAIT_SEC 2                   
8554    MSA.HV_DAC 0xE0E0001c
8555    # : Uout        : HKvoltage
8556    # command : 0b00c0c0001c    : 
8557    # command : 0b00e0e0001c    :
8558    #
8559    #WAIT_SEC 10                   
8560    #
8561    # QL         Check-Item               Spec                     check
8562    # ----------+------------------------+-------------------------+------
8563    # MSA ALL HK  ADC_HV_VHV1   ( ---)                       N/A
8564    # MSA ALL HK  ADC_HV_VHV2   ( ---)                       N/A
8565    #
8566    MSA.HV_DAC 0xC0C00020
8567    #WAIT_SEC 2                   
8568    MSA.HV_DAC 0xE0E00020
8569    # : Uout        : HKvoltage
8570    # command : 0b00c0c00020    : 
8571    # command : 0b00e0e00020    :
8572    #
8573    #WAIT_SEC 30                   
8574    #
8575    # QL         Check-Item               Spec                     check
8576    # ----------+------------------------+-------------------------+------
8577    # MSA ALL HK  ADC_HV_VHV1   ( ---)                       N/A
8578    # MSA ALL HK  ADC_HV_VHV2   ( ---)                       N/A
8579    #
8580    #
8581    MSA.HV_DAC 0xC0C00024
8582    #WAIT_SEC 2                   
8583    MSA.HV_DAC 0xE0E00024
8584    # : Uout        : HKvoltage
8585    # command : 0b00c0c00024    : 
8586    # command : 0b00e0e00024    :
8587    #
8588    #WAIT_SEC 30                   
8589    #
8590    # QL         Check-Item               Spec                     check
8591    # ----------+------------------------+-------------------------+------
8592    # MSA ALL HK  ADC_HV_VHV1   ( ---)                       N/A
8593    # MSA ALL HK  ADC_HV_VHV2   ( ---)                       N/A
8594    #
8595    MSA.HV_DAC 0xC0C00028
8596    #WAIT_SEC 2                   
8597    MSA.HV_DAC 0xE0E00028
8598    # : Uout        : HKvoltage
8599    # command : 0b00c0c00028    : 
8600    # command : 0b00e0e00028    :
8601    #
8602    #WAIT_SEC 30                   
8603    #
8604    # QL         Check-Item               Spec                     check
8605    # ----------+------------------------+-------------------------+------
8606    # MSA ALL HK  ADC_HV_VHV1   ( ---)                       N/A
8607    # MSA ALL HK  ADC_HV_VHV2   ( ---)                       N/A
8608    #
8609    MSA.HV_DAC 0xC0C0002c
8610    #WAIT_SEC 2                   
8611    MSA.HV_DAC 0xE0E0002c
8612    # : Uout        : HKvoltage
8613    # command : 0b00c0c0002c    : 
8614    # command : 0b00e0e0002c    :
8615    #
8616    #WAIT_SEC 30                   
8617    #
8618    # QL         Check-Item               Spec                     check
8619    # ----------+------------------------+-------------------------+------
8620    # MSA ALL HK  ADC_HV_VHV1   ( ---)                       N/A
8621    # MSA ALL HK  ADC_HV_VHV2   ( ---)                       N/A
8622    #
8623    MSA.HV_DAC 0xC0C00030
8624    #WAIT_SEC 2                   
8625    MSA.HV_DAC 0xE0E00030
8626    # : Uout        : HKvoltage
8627    # command : 0b00c0c00030    : 
8628    # command : 0b00e0e00030    :
8629    #
8630    #WAIT_SEC 30                   
8631    #
8632    # QL         Check-Item               Spec                     check
8633    # ----------+------------------------+-------------------------+------
8634    # MSA ALL HK  ADC_HV_VHV1   ( ---)                       N/A
8635    # MSA ALL HK  ADC_HV_VHV2   ( ---)                       N/A
8636    #
8637    MSA.HV_DAC 0xC0C00034
8638    #WAIT_SEC 2                   
8639    MSA.HV_DAC 0xE0E00034
8640    # : Uout        : HKvoltage
8641    # command : 0b00c0c00034    : 
8642    # command : 0b00e0e00034    :
8643    #
8644    #WAIT_SEC 30                   
8645    #
8646    # QL         Check-Item               Spec                     check
8647    # ----------+------------------------+-------------------------+------
8648    # MSA ALL HK  ADC_HV_VHV1   ( ---)                       N/A
8649    # MSA ALL HK  ADC_HV_VHV2   ( ---)                       N/A
8650    #
8651    #WAIT_SEC 40                   
8652    #
8653    # Set VHV4 (first a few LSBs, then several LSBs, then stay at nominal value)
8654    #
8655    #
8656    # #VHV4
8657    #
8658    MSA.HV_DAC 0x80800004
8659    # : Uout        : HKvoltage
8660    # command : 0b0080800004    : 
8661    #
8662    #WAIT_SEC 40                   
8663    #
8664    # QL         Check-Item               Spec                     check
8665    # ----------+------------------------+-------------------------+------
8666    # MSA ALL HK  ADC_HV_VHV4 ( ---)                          N/A
8667    #
8668    MSA.HV_DAC 0x80800008
8669    # : Uout        : HKvoltage
8670    # command : 0b0080800008    : 
8671    #
8672    #WAIT_SEC 40                   
8673    #
8674    # QL         Check-Item               Spec                     check
8675    # ----------+------------------------+-------------------------+------
8676    # MSA ALL HK  ADC_HV_VHV4 ( ---)                          N/A
8677    #
8678    MSA.HV_DAC 0x8080000c
8679    # : Uout        : HKvoltage
8680    # command : 0b008080000c    : 
8681    #
8682    #WAIT_SEC 40                   
8683    #
8684    # QL         Check-Item               Spec                     check
8685    # ----------+------------------------+-------------------------+------
8686    # MSA ALL HK  ADC_HV_VHV4 ( ---)                          N/A
8687    #
8688    MSA.HV_DAC 0x80800010
8689    # : Uout        : HKvoltage
8690    # command : 0b0080800010    : 
8691    #
8692    #WAIT_SEC 40                   
8693    #
8694    # QL         Check-Item               Spec                     check
8695    # ----------+------------------------+-------------------------+------
8696    # MSA ALL HK  ADC_HV_VHV4 ( ---)                          N/A
8697    #
8698    MSA.HV_DAC 0x80800018
8699    # : Uout        : HKvoltage
8700    # command : 0b0080800018    : 
8701    #
8702    #WAIT_SEC 40                   
8703    #
8704    # QL         Check-Item               Spec                     check
8705    # ----------+------------------------+-------------------------+------
8706    # MSA ALL HK  ADC_HV_VHV4 ( ---)                          N/A
8707    #
8708    MSA.HV_DAC 0x80800020
8709    # : Uout        : HKvoltage
8710    # command : 0b0080800020    : 
8711    #
8712    #WAIT_SEC 40                   
8713    #
8714    # QL         Check-Item               Spec                     check
8715    # ----------+------------------------+-------------------------+------
8716    # MSA ALL HK  ADC_HV_VHV4 ( ---)                          N/A
8717    #
8718    #
8719    MSA.HV_DAC 0x80800024
8720    # : Uout        : HKvoltage
8721    # command : 0b0080800024    : 
8722    #
8723    #WAIT_SEC 60                   
8724    #
8725    # QL         Check-Item               Spec                     check
8726    # ----------+------------------------+-------------------------+------
8727    # MSA ALL HK  ADC_HV_VHV4 ( ---)                          N/A
8728    #
8729    #
8730    MSA.HV_DAC 0x80800028
8731    # : Uout        : HKvoltage
8732    # command : 0b0080800028    : 
8733    #
8734    #WAIT_SEC 60                   
8735    #
8736    # QL         Check-Item               Spec                     check
8737    # ----------+------------------------+-------------------------+------
8738    # MSA ALL HK  ADC_HV_VHV4 ( ---)                          N/A
8739    #
8740    MSA.HV_DAC 0x8080002c
8741    # : Uout        : HKvoltage
8742    # command : 0b008080002c    : 
8743    #
8744    #WAIT_SEC 60                   
8745    #
8746    # QL         Check-Item               Spec                     check
8747    # ----------+------------------------+-------------------------+------
8748    # MSA ALL HK  ADC_HV_VHV4 ( ---)                          N/A
8749    #
8750    MSA.HV_DAC 0x80800030
8751    # : Uout        : HKvoltage
8752    # command : 0b0080800030    : 
8753    #
8754    #WAIT_SEC 60                   
8755    #
8756    # QL         Check-Item               Spec                     check
8757    # ----------+------------------------+-------------------------+------
8758    # MSA ALL HK  ADC_HV_VHV4 ( ---)                          N/A
8759    #
8760    #WAIT_SEC 120                   
8761    #
8762    MSA.HV_DAC 0x80800034
8763    # : Uout        : HKvoltage
8764    # command : 0b0080800034    : 
8765    #
8766    #WAIT_SEC 60                   
8767    #
8768    # QL         Check-Item               Spec                     check
8769    # ----------+------------------------+-------------------------+------
8770    # MSA ALL HK  ADC_HV_VHV4 ( ---)                          N/A
8771    #
8772    MSA.HV_DAC 0x80800038
8773    # : Uout        : HKvoltage
8774    # command : 0b0080800038    : 
8775    #
8776    #WAIT_SEC 60                   
8777    #
8778    # QL         Check-Item               Spec                     check
8779    # ----------+------------------------+-------------------------+------
8780    # MSA ALL HK  ADC_HV_VHV4 ( ---)                          N/A
8781    #
8782    MSA.HV_DAC 0x8080003c
8783    # : Uout        : HKvoltage
8784    # command : 0b008080003c    : 
8785    #
8786    #WAIT_SEC 60                   
8787    #
8788    # QL         Check-Item               Spec                     check
8789    # ----------+------------------------+-------------------------+------
8790    # MSA ALL HK  ADC_HV_VHV4 ( ---)                          N/A
8791    #
8792    MSA.HV_DAC 0x8080003e
8793    # : Uout        : HKvoltage
8794    # command : 0b008080003e    : 
8795    #
8796    #WAIT_SEC 60                   
8797    #
8798    # QL         Check-Item               Spec                     check
8799    # ----------+------------------------+-------------------------+------
8800    # MSA ALL HK  ADC_HV_VHV4 ( ---)                          N/A
8801    #
8802    MSA.HV_DAC 0x80800040
8803    # : Uout        : HKvoltage
8804    # command : 0b0080800040    : 
8805    #
8806    #WAIT_SEC 60                   
8807    #
8808    # QL         Check-Item               Spec                     check
8809    # ----------+------------------------+-------------------------+------
8810    # MSA ALL HK  ADC_HV_VHV4 ( ---)                          N/A
8811    #
8812    MSA.HV_DAC 0x80800042
8813    # : Uout        : HKvoltage
8814    # command : 0b0080800042    : 
8815    #
8816    #WAIT_SEC 60                   
8817    #
8818    # QL         Check-Item               Spec                     check
8819    # ----------+------------------------+-------------------------+------
8820    # MSA ALL HK  ADC_HV_VHV4 ( ---)                          N/A
8821    #
8822    MSA.HV_DAC 0x80800044
8823    # : Uout        : HKvoltage
8824    # command : 0b0080800044    : 
8825    #
8826    #WAIT_SEC 60                   
8827    #
8828    # QL         Check-Item               Spec                     check
8829    # ----------+------------------------+-------------------------+------
8830    # MSA ALL HK  ADC_HV_VHV4 ( ---)                          N/A
8831    #
8832    #WAIT_SEC 60    #Flight only                   
8833    #
8834    #
8835    #
8836    #######################################################################
8837    # Set VHV1 and VHV2 ((both VHVs are raised simultaneously from 3 kV up
8838    #  to 6 kV, first a few LSBs, then several LSBs, then stay at 6 kV 
8839    #######################################################################
8840    #
8841    #
8842    MSA.HV_DAC 0xC0C00038
8843    #WAIT_SEC 2                   
8844    MSA.HV_DAC 0xE0E00038
8845    # : Uout        : HKvoltage
8846    #
8847    #WAIT_SEC 30                   
8848    #
8849    # QL         Check-Item               Spec                     check
8850    # ----------+------------------------+-------------------------+------
8851    # MSA ALL HK  ADC_HV_VHV1   ( ---)                       N/A
8852    # MSA ALL HK  ADC_HV_VHV2   ( ---)                       N/A
8853    #
8854    MSA.HV_DAC 0xC0C00039
8855    #WAIT_SEC 2                   
8856    MSA.HV_DAC 0xE0E00039
8857    # : Uout        : HKvoltage
8858    #
8859    #WAIT_SEC 30                   
8860    #
8861    # QL         Check-Item               Spec                     check
8862    # ----------+------------------------+-------------------------+------
8863    # MSA ALL HK  ADC_HV_VHV1   ( ---)                       N/A
8864    # MSA ALL HK  ADC_HV_VHV2   ( ---)                       N/A
8865    #
8866    MSA.HV_DAC 0xC0C0003a
8867    #WAIT_SEC 2                   
8868    MSA.HV_DAC 0xE0E0003a
8869    # : Uout        : HKvoltage
8870    #
8871    #WAIT_SEC 30                   
8872    #
8873    # QL         Check-Item               Spec                     check
8874    # ----------+------------------------+-------------------------+------
8875    # MSA ALL HK  ADC_HV_VHV1   ( ---)                       N/A
8876    # MSA ALL HK  ADC_HV_VHV2   ( ---)                       N/A
8877    #
8878    MSA.HV_DAC 0xC0C0003b
8879    #WAIT_SEC 2                   
8880    MSA.HV_DAC 0xE0E0003b
8881    # : Uout        : HKvoltage
8882    #
8883    #WAIT_SEC 30                   
8884    #
8885    # QL         Check-Item               Spec                     check
8886    # ----------+------------------------+-------------------------+------
8887    # MSA ALL HK  ADC_HV_VHV1   ( ---)                       N/A
8888    # MSA ALL HK  ADC_HV_VHV2   ( ---)                       N/A
8889    #
8890    MSA.HV_DAC 0xC0C0003c
8891    #WAIT_SEC 2                   
8892    MSA.HV_DAC 0xE0E0003c
8893    # : Uout        : HKvoltage
8894    #
8895    #WAIT_SEC 30                   
8896    #
8897    # QL         Check-Item               Spec                     check
8898    # ----------+------------------------+-------------------------+------
8899    # MSA ALL HK  ADC_HV_VHV1   ( ---)                       N/A
8900    # MSA ALL HK  ADC_HV_VHV2   ( ---)                       N/A
8901    #
8902    MSA.HV_DAC 0xC0C0003d
8903    #WAIT_SEC 2                   
8904    MSA.HV_DAC 0xE0E0003d
8905    # : Uout        : HKvoltage
8906    #
8907    #WAIT_SEC 30                   
8908    #
8909    # QL         Check-Item               Spec                     check
8910    # ----------+------------------------+-------------------------+------
8911    # MSA ALL HK  ADC_HV_VHV1   ( ---)                       N/A
8912    # MSA ALL HK  ADC_HV_VHV2   ( ---)                       N/A
8913    #
8914    MSA.HV_DAC 0xC0C0003e
8915    #WAIT_SEC 2                   
8916    MSA.HV_DAC 0xE0E0003e
8917    # : Uout        : HKvoltage
8918    #
8919    #WAIT_SEC 30                   
8920    #
8921    # QL         Check-Item               Spec                     check
8922    # ----------+------------------------+-------------------------+------
8923    # MSA ALL HK  ADC_HV_VHV1   ( ---)                       N/A
8924    # MSA ALL HK  ADC_HV_VHV2   ( ---)                       N/A
8925    #
8926    MSA.HV_DAC 0xC0C0003f
8927    #WAIT_SEC 2                   
8928    MSA.HV_DAC 0xE0E0003f
8929    # : Uout        : HKvoltage
8930    #
8931    #WAIT_SEC 30                   
8932    #
8933    # QL         Check-Item               Spec                     check
8934    # ----------+------------------------+-------------------------+------
8935    # MSA ALL HK  ADC_HV_VHV1   ( ---)                       N/A
8936    # MSA ALL HK  ADC_HV_VHV2   ( ---)                       N/A
8937    #
8938    MSA.HV_DAC 0xC0C00040
8939    #WAIT_SEC 2                   
8940    MSA.HV_DAC 0xE0E00040
8941    # : Uout        : HKvoltage
8942    #
8943    #WAIT_SEC 30                   
8944    #
8945    # QL         Check-Item               Spec                     check
8946    # ----------+------------------------+-------------------------+------
8947    # MSA ALL HK  ADC_HV_VHV1   ( ---)                       N/A
8948    # MSA ALL HK  ADC_HV_VHV2   ( ---)                       N/A
8949    #
8950    MSA.HV_DAC 0xC0C00041
8951    #WAIT_SEC 2                   
8952    MSA.HV_DAC 0xE0E00041
8953    # : Uout        : HKvoltage
8954    #
8955    #WAIT_SEC 30                   
8956    #
8957    # QL         Check-Item               Spec                     check
8958    # ----------+------------------------+-------------------------+------
8959    # MSA ALL HK  ADC_HV_VHV1   ( ---)                       N/A
8960    # MSA ALL HK  ADC_HV_VHV2   ( ---)                       N/A
8961    #
8962    #
8963    MSA.HV_DAC 0xC0C00042
8964    #WAIT_SEC 2                   
8965    MSA.HV_DAC 0xE0E00042
8966    # : Uout        : HKvoltage
8967    #
8968    #WAIT_SEC 30                   
8969    #
8970    # QL         Check-Item               Spec                     check
8971    # ----------+------------------------+-------------------------+------
8972    # MSA ALL HK  ADC_HV_VHV1   ( ---)                       N/A
8973    # MSA ALL HK  ADC_HV_VHV2   ( ---)                       N/A
8974    #
8975    #
8976    MSA.HV_DAC 0xC0C00043
8977    #WAIT_SEC 2                   
8978    MSA.HV_DAC 0xE0E00043
8979    # : Uout        : HKvoltage
8980    #
8981    #WAIT_SEC 30                   
8982    #
8983    # QL         Check-Item               Spec                     check
8984    # ----------+------------------------+-------------------------+------
8985    # MSA ALL HK  ADC_HV_VHV1   ( ---)                       N/A
8986    # MSA ALL HK  ADC_HV_VHV2   ( ---)                       N/A
8987    #
8988    #
8989    EXIT                   
